Scilab Function

setbpt - setting breakpoints

### Calling Sequence

  `setbpt(macro-name [,line-num])`

### Parameters

- `macro-name` : string
- `line-num` : integer

### Description

`setbpt` interactively inserts a breakpoint in the line number `line-num` (default value is 1) of the function `macro-name`

When reaching the breakpoint, Scilab evaluates the specified line , prints the number of the line and the name of the function. If the function is not compiled ( see `comp` ) the line is printed on the screen. Then Scilab goes into a `pause` mode in which the user can check current values. The `pause` is exited with `resume` or `abort`. Redefining the function does not clear the breakpoints, the user must explicitly delete breakpoints using `delbpt`. The maximum number of functions with breakpoints enabled must be less than 20 and the maximum number of breakpoints is set to 100.

### See Also

`delbpt` `dispbpt` `pause` `resume`